Package com.enonic.xp.region

## Class TextComponent

- java.lang.Object
- - com.enonic.xp.region.Component
  - - com.enonic.xp.region.TextComponent

-     @PublicApi
      public class TextComponent
      extends Component

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TextComponent.Builder` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TextComponent​(TextComponent.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TextComponent` | `copy()` |
    `static TextComponent.Builder` | `create()` |
    `static TextComponent.Builder` | `create​(TextComponent source)` |
    `boolean` | `equals​(Object o)` |
    `ComponentName` | `getName()` | Deprecated.
    `String` | `getText()` |
    `ComponentType` | `getType()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class com.enonic.xp.region.Component

      `getPath, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TextComponent

          protected TextComponent​(TextComponent.Builder builder)

  - ### Method Detail

    - #### create

          public static TextComponent.Builder create()

    - #### create

          public static TextComponent.Builder create​(TextComponent source)

    - #### copy

          public TextComponent copy()

      Specified by:
        `copy` in class `Component`

    - #### getType

          public ComponentType getType()

      Specified by:
        `getType` in class `Component`

    - #### getName

          @Deprecated
          public ComponentName getName()

      Deprecated.
      Overrides:
        `getName` in class `Component`

    - #### getText

          public String getText()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Component`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Component`